﻿<%@ Page Language="C#"
    MasterPageFile="~/Resources/MasterPages/Application.Master"
    CodeBehind="DeployScript.aspx.cs"
    Inherits="Inedo.BuildMaster.Web.WebApplication.Applications.ChangeScripts.DeployScript" %>

<asp:Content ID="head" ContentPlaceHolderID="AdditionalHeadContent" runat="server">
    <style type="text/css">
        .formFieldGroup { margin: 0px; }
        .formFieldGroup td.formFields { width:380px; }
    </style>
</asp:Content>

<asp:Content ID="Content1" ContentPlaceHolderID="MainContent" runat="server">

    <h1><%= Server.HtmlEncode(Title) %></h1>
    
    <bm:InfoBox runat="server" ID="ctlScriptSkipped" BoxType="Error" Visible="false">
        <b>Script not executed.</b>
        The target database reported that this script has already been executed. Either select
        a different database or create a new change script.
    </bm:InfoBox>
   
    <bm:InfoBox runat="server" ID="ctlNotInitialized" BoxType="Error" Visible="false">
        <b>Script not executed.</b>
        The target database has not been initialized; change scripts cannot be executed against
        an uninitialized database.
    </bm:InfoBox>
    
    <bm:BuildMasterStyledTable runat="server" id="tblScriptDetails">
        <asp:TableHeaderRow>
            <asp:TableHeaderCell ColumnSpan="2">Change Script Details</asp:TableHeaderCell>
        </asp:TableHeaderRow>
    </bm:BuildMasterStyledTable>
    
    <bm:BuildMasterStyledTable runat="server" ID="tblScriptContents">
        <asp:TableHeaderRow>
            <asp:TableHeaderCell>Script Text</asp:TableHeaderCell>
        </asp:TableHeaderRow>
        <asp:TableRow>
            <asp:TableCell Style="padding:0px;margin:0px;">
                <asp:TextBox runat="server" ID="txtScriptContents" ReadOnly="true"
                    Height="300px" Width="920" TextMode="MultiLine" 
                    Style="background-color:#000;color:#FFF" />
            </asp:TableCell>
        </asp:TableRow>
    </bm:BuildMasterStyledTable>    

<div class="white-box padded-box">
    
    <bm:BuildMasterStyledTable runat="server" ID="tblExecute" style="margin-bottom:0px;">
        <asp:TableHeaderRow>
            <asp:TableHeaderCell>Execution Options</asp:TableHeaderCell>
        </asp:TableHeaderRow>

    </bm:BuildMasterStyledTable>

    <bm:FormFieldGroup ID="ctl" runat="server" EndGroup="true">
        <Description Heading="Database">
            Select Database to execute Change Script against.
        </Description>
        <FormFields>
            <bm:StandardFormField ID="StandardFormField1" LabelText="Database:" runat="server">
                <FieldContent>
                    <asp:DropDownList runat="server" ID="ddlDatabaseProvider">
                        <asp:ListItem></asp:ListItem>
                    </asp:DropDownList>
                    <bm:StyledRequiredFieldValidator ID="vreq_ddlDatabaseProvider" runat="server" InitialValue="" />   
                </FieldContent>
            </bm:StandardFormField>
        </FormFields>
    </bm:FormFieldGroup>     
    </div>

    <div class="action-button-container">
    <asp:Button runat="server" 
        ID="btnDeploy" 
        Text="Execute Change Script" 
        OnClick="btnDeploy_Click" 
        CssClass="button" />
    </div>
</asp:Content>
